# BEGIN SourceDeps(oneline):
BuildRequires: perl(Audio/Gramofile.pm) perl(Config/IniFiles.pm) perl(DirHandle.pm) perl(ExtUtils/MakeMaker.pm) perl(Glib.pm) perl(Gtk2.pm) perl(IO/File.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.10
%define module_name Audio-GtkGramofile
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: a Gtk2-Perl interface to libgramofile.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BO/BOBW/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This is a collection of modules, which enable the Gtk2 interface 
to libgramofile, gtkgramofile. That script is provided within this
module. The individual modules are 

Audio::GtkGramofile::GUI - a set of routines which provide the Gtk2 interface.

Audio::GtkGramofile::Logic - the underlying logic to enable the application.

Audio::GtkGramofile::Signals - the signal handlers for the GUI.

Audio::GtkGramofile::Settings - holds the current state of selections made.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

